Package com.io7m.idstore.server.service.configuration.jaxb

# Class DatabaseOwner

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.DatabaseOwner

public class DatabaseOwner extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="User" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Password" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `password`
  `protected String`
  `user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatabaseOwner()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPassword()`
  Gets the value of the password property.
  `String`
  `getUser()`
  Gets the value of the user property.
  `void`
  `setPassword(String value)`
  Sets the value of the password property.
  `void`
  `setUser(String value)`
  Sets the value of the user property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### user

    protected String user

  - ### password

    protected String password

- ## Constructor Details

  - ### DatabaseOwner

    public DatabaseOwner()

- ## Method Details

  - ### getUser

    public String getUser()
    Gets the value of the user property.
    Returns:
      possible object is `String`

  - ### setUser

    public void setUser(String value)
    Sets the value of the user property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPassword

    public String getPassword()
    Gets the value of the password property.
    Returns:
      possible object is `String`

  - ### setPassword

    public void setPassword(String value)
    Sets the value of the password property.
    Parameters:
      `value` - allowed object is `String`